# --==--==--==--==--==--==--==--==--==--==--==--==--==--==--==-- #
# Bruno Charest 
# 2022-08-09 
# 
# __ DESCRIPTIONS __
# web_utils : procedure related web interface 
#
# --==--==--==--==--==--==--==--==--==--==--==--==--==--==--==-- #
import jester
import joplin_utils


# --==--==--==--==--==--==--==--==--==--==-- #
# TYPE : Selected Option for master web page
# --==--==--==--==--==--==--==--==--==--==-- #
type
  selectedOption* = enum
    newNote = "New Note", search = "Search", shortcuts = "Shortcuts",
        notes = "Notes", notebooks = "Notesbooks", tags = "Tags",
            notes_selectednote = "Notes-SelectedNote", dashbord = "Dashboard"


# --==--==--==--==--==--==--==--==--==--==-- #
# TYPE : Data Informations for Left Colomn
# --==--==--==--==--==--==--==--==--==--==-- #
type ColomnLeftData* = ref object of RootObj
  j_status*: bool
  option*: selectedOption
  j_notes*: joplin_notes
  j_notes_nb*: int
  j_notebooks*: joplin_notebooks
  j_notebooks_nb*: int
  j_tags*: joplin_tags
  j_tags_nb*: int
  req*: Request

# --==--==--==--==--==--==--==--==--==--==-- #
# TYPE : Data Informations for Right Colomn
# --==--==--==--==--==--==--==--==--==--==-- #
type ColomnRightData* = ref object of RootObj
  j_status*: bool
  option*: selectedOption
  j_SelectedNote*: joplin_note
  j_notebooksNote*: joplin_notebooks
  j_tagsNote*: joplin_tags
  req*: Request


